
%define realname   Catalyst-View-GD
%define version    0.01
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    A Catalyst View for GD images
Source:     http://www.cpan.org/modules/by-module/Catalyst/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(GD)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Image::GD)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)

BuildArch: noarch

%description

This is a Catalyst View subclass which can handle rendering GD based image
content. 





%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*





%changelog
* Mon Apr 28 2008 Olivier Thauvin <nanardon@mandriva.org> 0.01-1mdv2009.0
+ Revision: 198033
- import perl-Catalyst-View-GD


